#include <amsmf/Elements.h>
#include <string.h>

namespace AMSMF
{

// ----------------------------------------------------------------------
// Division
//

SMPTE::FPSType
DivRealtime::lookup_fpstype_(U16 fps)
{
	switch (fps) {
	case 24:
		return SMPTE::FT_25FPS;
	case 25:
		return SMPTE::FT_25FPS;
	case 29:
		return SMPTE::FT_30FPS_DROP;
	case 30:
		return SMPTE::FT_30FPS_NONDROP;
	}
	return SMPTE::FT_UNKNOWN;
}

}

